AntiFeatures:
  NonFreeNet:
    en-US: Depends on AudD music recognition service
Categories:
  - Internet
  - Multimedia
License: GPL-3.0-or-later
AuthorName: Aleksey Saenko
SourceCode: https://github.com/aleksey-saenko/MusicRecognizer
IssueTracker: https://github.com/aleksey-saenko/MusicRecognizer/issues
Changelog: https://github.com/aleksey-saenko/MusicRecognizer/releases

AutoName: Audile

RepoType: git
Repo: https://github.com/aleksey-saenko/MusicRecognizer.git

Builds:
  - versionName: 1.0.0
    versionCode: 1
    commit: a82bfcbfd5d7f3519692f85e3c8245cadeb63cf3
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 1.0.1
    versionCode: 2
    commit: 9e38404531dc83ce1b6f97de8c574fe054a0228d
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 1.1.0
    versionCode: 3
    commit: 5592d0c426884f21a615722741b73e85692c9d6c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 1.1.1
    versionCode: 4
    commit: 9e4fa0cf739a9db52a6ca616763f9c4fb3677343
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 1.1.2
    versionCode: 5
    commit: 4ad1fd9225e7aef5582132fdc8c940824e0d6e43
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v[0-9.]+$
CurrentVersion: 1.1.2
CurrentVersionCode: 5
